#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "JadeApp.h"
#include "JadeWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(JadeApp, RMApp)
	//{{AFX_MSG_MAP(JadeApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

JadeApp theapp;

BOOL JadeApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	JadeWin* win=new JadeWin;
	if (!win->Create("Jade",IDI_ICON,IDR_MAINMENU))
		return FALSE;
	win->SetColorModel(D3DCOLOR_RGB);
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
